Package org.springframework.mock.web.reactive.function.server

# Interface MockServerRequest.Builder

Enclosing class:
  MockServerRequest

public static interface MockServerRequest.Builder
Builder for `MockServerRequest`.

## Method Summary

Modifier and Type
Method
Description
`MockServerRequest.Builder`
`attribute(String name, Object value)`
`MockServerRequest.Builder`
`attributes(Map<String,Object> attributes)`
`MockServerRequest`
`body(Object body)`
`MockServerRequest`
`build()`
`MockServerRequest.Builder`
`contextPath(String contextPath)`
`MockServerRequest.Builder`
`cookie(org.springframework.http.HttpCookie... cookies)`
`MockServerRequest.Builder`
`cookies(org.springframework.util.MultiValueMap<String,org.springframework.http.HttpCookie> cookies)`
`MockServerRequest.Builder`
`exchange(org.springframework.web.server.ServerWebExchange exchange)`
`MockServerRequest.Builder`
`header(String key, String value)`
`MockServerRequest.Builder`
`headers(org.springframework.http.HttpHeaders headers)`
`MockServerRequest.Builder`
`localAddress(InetSocketAddress localAddress)`
`MockServerRequest.Builder`
`messageReaders(List<org.springframework.http.codec.HttpMessageReader<?>> messageReaders)`
`MockServerRequest.Builder`
`method(org.springframework.http.HttpMethod method)`
`MockServerRequest.Builder`
`pathVariable(String key, String value)`
`MockServerRequest.Builder`
`pathVariables(Map<String,String> pathVariables)`
`MockServerRequest.Builder`
`principal(Principal principal)`
`MockServerRequest.Builder`
`queryParam(String key, String value)`
`MockServerRequest.Builder`
`queryParams(org.springframework.util.MultiValueMap<String,String> queryParams)`
`MockServerRequest.Builder`
`remoteAddress(InetSocketAddress remoteAddress)`
`MockServerRequest.Builder`
`session(org.springframework.web.server.WebSession session)`
`MockServerRequest.Builder`
`uri(URI uri)`

## Method Details

### method

MockServerRequest.Builder method(org.springframework.http.HttpMethod method)

### uri

MockServerRequest.Builder uri(URI uri)

### contextPath

MockServerRequest.Builder contextPath(String contextPath)

### header

MockServerRequest.Builder header(String key, String value)

### headers

MockServerRequest.Builder headers(org.springframework.http.HttpHeaders headers)

### cookie

MockServerRequest.Builder cookie(org.springframework.http.HttpCookie... cookies)

### cookies

MockServerRequest.Builder cookies(org.springframework.util.MultiValueMap<String,org.springframework.http.HttpCookie> cookies)

### attribute

MockServerRequest.Builder attribute(String name, Object value)

### attributes

MockServerRequest.Builder attributes(Map<String,Object> attributes)

### queryParam

MockServerRequest.Builder queryParam(String key, String value)

### queryParams

MockServerRequest.Builder queryParams(org.springframework.util.MultiValueMap<String,String> queryParams)

### pathVariable

MockServerRequest.Builder pathVariable(String key, String value)

### pathVariables

MockServerRequest.Builder pathVariables(Map<String,String> pathVariables)

### session

MockServerRequest.Builder session(org.springframework.web.server.WebSession session)

### principal

MockServerRequest.Builder principal(Principal principal)

### remoteAddress

MockServerRequest.Builder remoteAddress(InetSocketAddress remoteAddress)

### localAddress

MockServerRequest.Builder localAddress(InetSocketAddress localAddress)

### messageReaders

MockServerRequest.Builder messageReaders(List<org.springframework.http.codec.HttpMessageReader<?>> messageReaders)

### exchange

MockServerRequest.Builder exchange(org.springframework.web.server.ServerWebExchange exchange)

### body

MockServerRequest body(Object body)

### build

MockServerRequest build()